Skip to navigation

Update envelope delayed routing rules

View as Markdown

Updates the delayed routing rules for an envelope’s workflow step definition.

You can use this endpoint to add delayed routing to a draft envelope or a sent envelope (as long as the previous workflow step has not yet been completed). You can also update the delayed routing rule for an envelope, as long as the delay is not yet complete. If you update the delayed routing rule while the delay is already in progress, the countdown will reset.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

workflowStepIdstringRequired
The ID of the workflow step.

Request

This endpoint expects an object: delayedRouting

resumeDatestringOptional

The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is null if the workflow step has not been initiated.

This property is read-only.

ruleslist of objectsOptional

User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.

statusstringOptional

Status of the delayed routing step. Valid values:

  • pending: The workflow step has not been reached and the delay has not been initiated.
  • started: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step’s recipients.
  • completed: The delay has elapsed and the envelope has been sent to the workflow step’s recipients.

This property is read-only.

Response

Successful response.
resumeDatestringOptional

The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is null if the workflow step has not been initiated.

This property is read-only.

ruleslist of objectsOptional

User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.

statusstringOptional

Status of the delayed routing step. Valid values:

  • pending: The workflow step has not been reached and the delay has not been initiated.
  • started: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step’s recipients.
  • completed: The delay has elapsed and the envelope has been sent to the workflow step’s recipients.

This property is read-only.

Errors

400
Bad Request Error